Description

| recently had a system update and restarted the computer. So | had to restart quasselcore.
When | run quasselcore, | get this output:

("QSQLITE", "QSQLITE3", "QMYSQL3", "QMYSQL", "QODBC3", "QODBC", "QPSQL7", "QPSQL")
Core 1s currently not configured! Please connect with a Quassel Client for basic setup.
2014-04-02 18:16:51 Info: Listening for GUI clients on IPv6 :: port 4242 using protocol version 10

This is ~/.config/quassel-irc.org

[Config]
Version=1

[Core]

CoreState=@Variant(\0\0\0\b\0\0\0\x2\0\0\0

\0\x43\00\0r\0\x65\0S\0t\0\x6 1\0t\0\x65\0V\0\x65\0r\0s\0i\00\0Nn\0\0\0\x2\0\0\0\x 1\0\0\0\x 1 c\0\x4 1\0\x63\0t\0i\0V\0\x65\0S\0\x65\05\0s\
0i\00\0Nn\0s\0\0\0\\0\0\0\0)

My SQLite file is still the same and it is also sane (checked with sqlite3).

Apart from being able to help fix this problem, | would also enjoy guidance on how to get back to the original state (i.e. not lose all my
configuration and backlog).

History

#1 - 11/29/2014 02:48 PM - jkabrams

I'm having this problem with quassel v0.11.0 (dist-5199111) on Arch Linux. | use /var/lib/quassel/ for core configuration storage.
Any known workaround?

#2 - 12/01/2014 11:46 AM - ypnos

After | gave up on finding a solution, | started the regular core initialization through quasselclient, creating the same account on the core as before.
Then, instead of starting with an empty account, all the networks, channels, backlogs etc. were back to normal.

So this might work or not work for you, be sure to backup the .db file first.

#3 - 11/01/2018 12:05 AM - jhnsbtnr

| had this problem after changing the backend from sqlite to postgresql (I followed the instructions in
https://bugs.quassel-irc.org/projects/1/wiki/PostgreSQL)

After that, somehow the permissions of /var/lib/quassel/quasselcore.conf were set to owner root:root instead of quasselcore:quassel. Changing the
owner to
quasselcore:quassel fixed the problem.

#4 - 01/26/2019 06:49 AM - digitalcircuit

- Status changed from New to Closed

Quassel used to fall back on SQLite if PostgreSQL was not reachable. That's been fixed so the Quassel core will return an error instead of breaking
configuration.

As to the SQLite issue, as jhnsbtnr noted, it's worthwhile checking permissions on the configuration file and database. (It can happen if you run sudo
quasselcore --options instead of sudo --user quasselcore quasselcore.)

If this issue still happens today, feel free to re-open.
